icmpstat.d(1m)

NAME
icmpstat.d - print ICMP statistics. Uses DTrace.

SYNOPSIS
icmpstat.d

DESCRIPTION
icmpstat.d is a DTrace program to print ICMP statistics every second, retrieved from the MIB provider. This is a simple script to demonstrate the ability to trace ICMP events. The ICMP statistics are documented in the mib2_icmp struct in /usr/include/inet/mib2.h; and also in the mib provider chapter of the DTrace Guide, found at http://docs.sun.com/db/doc/817-6223. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the mib provider.

EXAMPLES

Print statistics every second,
    # icmpstat.d

FIELDS

STATISTIC
    ICMP statistic name

VALUE
    total of statistic during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
icmpstat.d will run forever until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)